RuntimeSpringConfigUtilities (Grails 6.0.0)

Package: org.grails.spring

## [Java] Class RuntimeSpringConfigUtilities

- org.grails.spring.RuntimeSpringConfigUtilities

-     public class RuntimeSpringConfigUtilities
      extends java.lang.Object

  Since:
    2.4
  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `DEVELOPMENT_SPRING_RESOURCES_XML` |
    `static java.lang.String` | `GRAILS_URL_MAPPINGS` |
    `private static org.apache.commons.logging.Log` | `LOG` |
    `static java.lang.String` | `SPRING_RESOURCES_CLASS` |
    `static java.lang.String` | `SPRING_RESOURCES_GROOVY` |
    `static java.lang.String` | `SPRING_RESOURCES_XML` |
    `private static BeanBuilder` | `springGroovyResourcesBeanBuilder` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `private RuntimeSpringConfigUtilities ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private static void` | `doLoadSpringGroovyResources(RuntimeSpringConfiguration config, GrailsApplication application, org.springframework.context.support.GenericApplicationContext context)` Attempt to load the beans defined by a BeanBuilder DSL closure in "resources.groovy".
    `` | `public static void` | `loadExternalSpringConfig(RuntimeSpringConfiguration config, GrailsApplication application)` Loads any external Spring configuration into the given RuntimeSpringConfiguration object.
    `` | `public static void` | `loadSpringGroovyResources(RuntimeSpringConfiguration config, GrailsApplication application)`
    `` | `public static void` | `loadSpringGroovyResourcesIntoContext(RuntimeSpringConfiguration config, GrailsApplication application, org.springframework.context.support.GenericApplicationContext context)`
    `` | `public static BeanBuilder` | `reloadSpringResourcesConfig(RuntimeSpringConfiguration config, GrailsApplication application, java.lang.Class<?> groovySpringResourcesClass)`
    `` | `public static void` | `reset()` Resets the GrailsRumtimeConfigurator.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.lang.String DEVELOPMENT_SPRING_RESOURCES_XML

    - #### public static final java.lang.String GRAILS_URL_MAPPINGS

    - #### private static final org.apache.commons.logging.Log LOG

    - #### public static final java.lang.String SPRING_RESOURCES_CLASS

    - #### public static final java.lang.String SPRING_RESOURCES_GROOVY

    - #### public static final java.lang.String SPRING_RESOURCES_XML

    - #### private static BeanBuilder springGroovyResourcesBeanBuilder

  - ### Constructor Detail

    - #### private RuntimeSpringConfigUtilities()

  - ### Method Detail

    - #### private static void doLoadSpringGroovyResources(RuntimeSpringConfiguration config, GrailsApplication application, org.springframework.context.support.GenericApplicationContext context)

      Attempt to load the beans defined by a BeanBuilder DSL closure in "resources.groovy".

      Parameters:
        config
        context

    - #### public static void loadExternalSpringConfig(RuntimeSpringConfiguration config, GrailsApplication application)

      Loads any external Spring configuration into the given RuntimeSpringConfiguration object.

      Parameters:
        `config` - The config instance

    - #### public static void loadSpringGroovyResources(RuntimeSpringConfiguration config, GrailsApplication application)

    - #### public static void loadSpringGroovyResourcesIntoContext(RuntimeSpringConfiguration config, GrailsApplication application, org.springframework.context.support.GenericApplicationContext context)

    - #### public static BeanBuilder reloadSpringResourcesConfig(RuntimeSpringConfiguration config, GrailsApplication application, java.lang.Class<?> groovySpringResourcesClass)

    - #### public static void reset()

      Resets the GrailsRumtimeConfigurator.